This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: stdlib compatibility with pypy, test_zipfile.py
Type: behavior Stage: needs patch
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Arfrever, bdkearns, benjamin.peterson, brett.cannon, eric.araujo, mattip, python-dev, serhiy.storchaka
Priority: normal Keywords:

Created on 2014-03-10 21:11 by mattip, last changed 2022-04-11 14:57 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
zipfile_patch mattip, 2014-03-10 21:11 patch against 2.7 review
Messages (8)
msg213086 - (view) Author: mattip (mattip) * Date: 2014-03-10 21:11
Files must be explicitly closed on pypy, and switch to use test_support.rmtree which tries harder on Windows.

only test_zipfile.py is patched.
msg213119 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-03-11 06:44
In general LGTM. Do you interesting in porting this to Python 3 (this would be non-trivial work)?
msg213752 - (view) Author: mattip (mattip) * Date: 2014-03-16 20:10
The test_zipfile in Python 3 is very different from this one, so I would prefer that it be two seperate issues. 
After your review of the patch, are there remaining issues that need to be cleared up?
msg213842 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-17 08:49
If you want to provide two patches for the two major lines, that’d be ideal.  Please post both on this one ticket though.  Thank you!
msg214252 - (view) Author: mattip (mattip) * Date: 2014-03-20 17:40
As far as I know, cpython3 dropped the assumption that garbage collection closes files, so python3's version of this test should already handle the issue, no?
msg214255 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2014-03-20 18:33
Garbage collection still closes files, but Python >=3.2 might print ResourceWarnings.
msg215450 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-04-03 14:31
New changeset 03df2c1c6892 by Benjamin Peterson in branch '2.7':
properly close files in test_zipfile (#20887)
http://hg.python.org/cpython/rev/03df2c1c6892
msg215451 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-04-03 14:32
Thanks for the patch. 3.x test_zipfile can be dealt with elsewhere if desired.
History
Date User Action Args
2022-04-11 14:57:59adminsetgithub: 65086
2014-04-03 14:32:29benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg215451

resolution: fixed
2014-04-03 14:31:53python-devsetnosy: + python-dev
messages: + msg215450
2014-03-20 18:33:05Arfreversetnosy: + Arfrever
messages: + msg214255
2014-03-20 17:40:26mattipsetmessages: + msg214252
2014-03-17 08:49:37eric.araujosetnosy: + eric.araujo
messages: + msg213842
2014-03-16 20:10:03mattipsetmessages: + msg213752
2014-03-11 15:00:48brett.cannonsetnosy: + brett.cannon
2014-03-11 06:44:25serhiy.storchakasetversions: + Python 3.3, Python 3.4
nosy: + serhiy.storchaka

messages: + msg213119

assignee: serhiy.storchaka
stage: needs patch
2014-03-10 21:14:12bdkearnssetnosy: + bdkearns
2014-03-10 21:11:04mattipcreate